
D4Science Infrastructure - Task #10816

TLS Error on services.d4science.org when accessed by Firefox

Jan 02, 2018 01:59 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 02, 2018

Priority: Immediate Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Production   

Description

Portals hosted in services.d4science.org cannot be accessed with Firefox Browser. Reported error message is : 

"An error occurred during a connection to services.d4science.org. A required TLS feature is missing. Error code:

MOZILLA_PKIX_ERROR_REQUIRED_TLS_FEATURE_MISSING"

Related issues:

Related to D4Science Infrastructure - Incident #10823: social.isti.cnr.it TLS... Closed Jan 04, 2018 Jan 08, 2018

Has duplicate D4Science Infrastructure - Support #10817:  Infrastructure gate... Closed Jan 02, 2018

History

#1 - Jan 02, 2018 02:19 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

I'm investigating the issue. I do not have a clue yet, the same exact configuration is working on the dev and preproduction instances.

As a temporary workaround, the 'ocsp must staple' check can be disabled on Firefox:

Write about:config in the URL bar

search for security.ssl.enable_ocsp_must_staple and set its value to false

#2 - Jan 02, 2018 02:55 PM - Luca Frosini

- Is duplicate of Support #10817:  Infrastructure gateways TLS error with Firefox added

#3 - Jan 02, 2018 02:56 PM - Andrea Dell'Amico

- Is duplicate of deleted (Support #10817:  Infrastructure gateways TLS error with Firefox)

#4 - Jan 02, 2018 02:56 PM - Luca Frosini

- Status changed from In Progress to Closed

#5 - Jan 02, 2018 02:56 PM - Andrea Dell'Amico

- Has duplicate Support #10817:  Infrastructure gateways TLS error with Firefox added

#6 - Jan 02, 2018 02:57 PM - Luca Frosini

- Status changed from Closed to In Progress

#7 - Jan 02, 2018 03:21 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

It seems a openssl bug. Why it started showing now I've yet to understand. I worked around it for the time being and at the next renewal the

certificates on the haproxy nodes will have the must staple flag disabled.
#8 - Jan 04, 2018 01:52 PM - Andrea Dell'Amico

- Related to Incident #10823: social.isti.cnr.it TLS error with latest Firefox version added

#9 - Jan 04, 2018 01:53 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
